import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:repostar/github/core/domain/user.dart';

part 'user_dto.freezed.dart';
part 'user_dto.g.dart';

@freezed
class UserDTO with _$UserDTO {
  const UserDTO._();
  const factory UserDTO({
    @JsonKey(name: 'login') required String name,
    @JsonKey(name: 'avatar_url') required String avatarUrl,
  }) = _UserDto;

  factory UserDTO.fromJson(Map<String, dynamic> j) => _$UserDTOFromJson(j);

  factory UserDTO.fromDomain(User _) {
    return UserDTO(
      name: _.name,
      avatarUrl: _.avatarUrl,
    );
  }

  User toDomain() => User(name: name, avatarUrl: avatarUrl);
}
